Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.ast
Class ExprStmtPragmaVec

    java.lang.Object
      escjava.ast.ExprStmtPragmaVec

public class ExprStmtPragmaVec
extends java.lang.Object

Field Summary
`private int` | `count`
`private ExprStmtPragma[]` | `elements` * Instance fields: * *

Constructor Summary
`private` | `ExprStmtPragmaVec(ExprStmtPragma[] els)` * Private constructors: * *
`private` | `ExprStmtPragmaVec(int cnt)`

Method Summary
`void` | `addElement(ExprStmtPragma x)`
`void` | `append(ExprStmtPragmaVec vec)`
`boolean` | `contains(ExprStmtPragma x)`
`ExprStmtPragmaVec` | `copy()`
`ExprStmtPragma` | `elementAt(int index)` * Other methods: * *
`void` | `insertElementAt(ExprStmtPragma obj, int index)`
`static ExprStmtPragmaVec` | `make()` * Public maker methods: * *
`static ExprStmtPragmaVec` | `make(ExprStmtPragma[] els)`
`static ExprStmtPragmaVec` | `make(int count)`
`static ExprStmtPragmaVec` | `make(java.util.Vector vec)`
`ExprStmtPragma` | `pop()`
`static ExprStmtPragmaVec` | `popFromStackVector(StackVector s)`
`void` | `removeAllElements()`
`boolean` | `removeElement(ExprStmtPragma x)`
`void` | `removeElementAt(int i)`
`void` | `setElementAt(ExprStmtPragma x, int index)`
`int` | `size()`
`ExprStmtPragma[]` | `toArray()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### elements

    private ExprStmtPragma[] elements

  * Instance fields: * *

### count

    private int count

Constructor Detail

### ExprStmtPragmaVec

    private ExprStmtPragmaVec(ExprStmtPragma[] els)

  * Private constructors: * *

### ExprStmtPragmaVec

    private ExprStmtPragmaVec(int cnt)

Method Detail

### make

    public static ExprStmtPragmaVec make()

  * Public maker methods: * *

### make

    public static ExprStmtPragmaVec make(int count)

### make

    public static ExprStmtPragmaVec make(java.util.Vector vec)

### make

    public static ExprStmtPragmaVec make(ExprStmtPragma[] els)

### popFromStackVector

    public static ExprStmtPragmaVec popFromStackVector(StackVector s)

### elementAt

    public final ExprStmtPragma elementAt(int index)

  * Other methods: * *

### setElementAt

    public final void setElementAt(ExprStmtPragma x,
                                   int index)

### size

    public final int size()

### toString

    public final java.lang.String toString()

### toArray

    public final ExprStmtPragma[] toArray()

### copy

    public final ExprStmtPragmaVec copy()

### contains

    public boolean contains(ExprStmtPragma x)

### addElement

    public final void addElement(ExprStmtPragma x)

### removeElement

    public final boolean removeElement(ExprStmtPragma x)

### removeElementAt

    public final void removeElementAt(int i)

### pop

    public final ExprStmtPragma pop()

### removeAllElements

    public final void removeAllElements()

### insertElementAt

    public final void insertElementAt(ExprStmtPragma obj,
                                      int index)

### append

    public final void append(ExprStmtPragmaVec vec)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage